Package org.eclipse.emf.compare

# Interface ComparePackage

All Superinterfaces:
  `EModelElement`, `ENamedElement`, `EObject`, `EPackage`, `Notifier`

All Known Implementing Classes:
  `ComparePackageImpl`

public interface ComparePackage extends EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  - `CompareFactory`
Generated:

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ComparePackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`EPackage.Descriptor, EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ATTRIBUTE_CHANGE`
The meta object id for the '`Attribute Change`' class.
`static final int`
`ATTRIBUTE_CHANGE__ATTRIBUTE`
The feature id for the 'Attribute' reference.
`static final int`
`ATTRIBUTE_CHANGE__CONFLICT`
The feature id for the 'Conflict' reference.
`static final int`
`ATTRIBUTE_CHANGE__EQUIVALENCE`
The feature id for the 'Equivalence' reference.
`static final int`
`ATTRIBUTE_CHANGE__IMPLIED_BY`
The feature id for the 'Implied By' reference list.
`static final int`
`ATTRIBUTE_CHANGE__IMPLIES`
The feature id for the 'Implies' reference list.
`static final int`
`ATTRIBUTE_CHANGE__KIND`
The feature id for the 'Kind' attribute.
`static final int`
`ATTRIBUTE_CHANGE__MATCH`
The feature id for the 'Match' reference.
`static final int`
`ATTRIBUTE_CHANGE__PRIME_REFINING`
The feature id for the 'Prime Refining' reference.
`static final int`
`ATTRIBUTE_CHANGE__REFINED_BY`
The feature id for the 'Refined By' reference list.
`static final int`
`ATTRIBUTE_CHANGE__REFINES`
The feature id for the 'Refines' reference list.
`static final int`
`ATTRIBUTE_CHANGE__REQUIRED_BY`
The feature id for the 'Required By' reference list.
`static final int`
`ATTRIBUTE_CHANGE__REQUIRES`
The feature id for the 'Requires' reference list.
`static final int`
`ATTRIBUTE_CHANGE__SOURCE`
The feature id for the 'Source' attribute.
`static final int`
`ATTRIBUTE_CHANGE__STATE`
The feature id for the 'State' attribute.
`static final int`
`ATTRIBUTE_CHANGE__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`ATTRIBUTE_CHANGE_FEATURE_COUNT`
The number of structural features of the 'Attribute Change' class.
`static final int`
`COMPARISON`
The meta object id for the '`Comparison`' class.
`static final int`
`COMPARISON__CONFLICTS`
The feature id for the 'Conflicts' containment reference list.
`static final int`
`COMPARISON__DIAGNOSTIC`
The feature id for the 'Diagnostic' attribute.
`static final int`
`COMPARISON__EQUIVALENCES`
The feature id for the 'Equivalences' containment reference list.
`static final int`
`COMPARISON__MATCHED_RESOURCES`
The feature id for the 'Matched Resources' containment reference list.
`static final int`
`COMPARISON__MATCHES`
The feature id for the 'Matches' containment reference list.
`static final int`
`COMPARISON__THREE_WAY`
The feature id for the 'Three Way' attribute.
`static final int`
`COMPARISON_FEATURE_COUNT`
The number of structural features of the 'Comparison' class.
`static final int`
`CONFLICT`
The meta object id for the '`Conflict`' class.
`static final int`
`CONFLICT__DIFFERENCES`
The feature id for the 'Differences' reference list.
`static final int`
`CONFLICT__KIND`
The feature id for the 'Kind' attribute.
`static final int`
`CONFLICT_FEATURE_COUNT`
The number of structural features of the 'Conflict' class.
`static final int`
`CONFLICT_KIND`
The meta object id for the '`Conflict Kind`' enum.
`static final String`
`copyright`
`static final int`
`DIAGNOSTIC`
The meta object id for the 'Diagnostic' data type.
`static final int`
`DIFF`
The meta object id for the '`Diff`' class.
`static final int`
`DIFF__CONFLICT`
The feature id for the 'Conflict' reference.
`static final int`
`DIFF__EQUIVALENCE`
The feature id for the 'Equivalence' reference.
`static final int`
`DIFF__IMPLIED_BY`
The feature id for the 'Implied By' reference list.
`static final int`
`DIFF__IMPLIES`
The feature id for the 'Implies' reference list.
`static final int`
`DIFF__KIND`
The feature id for the 'Kind' attribute.
`static final int`
`DIFF__MATCH`
The feature id for the 'Match' reference.
`static final int`
`DIFF__PRIME_REFINING`
The feature id for the 'Prime Refining' reference.
`static final int`
`DIFF__REFINED_BY`
The feature id for the 'Refined By' reference list.
`static final int`
`DIFF__REFINES`
The feature id for the 'Refines' reference list.
`static final int`
`DIFF__REQUIRED_BY`
The feature id for the 'Required By' reference list.
`static final int`
`DIFF__REQUIRES`
The feature id for the 'Requires' reference list.
`static final int`
`DIFF__SOURCE`
The feature id for the 'Source' attribute.
`static final int`
`DIFF__STATE`
The feature id for the 'State' attribute.
`static final int`
`DIFF_FEATURE_COUNT`
The number of structural features of the 'Diff' class.
`static final int`
`DIFFERENCE_KIND`
The meta object id for the '`Difference Kind`' enum.
`static final int`
`DIFFERENCE_SOURCE`
The meta object id for the '`Difference Source`' enum.
`static final int`
`DIFFERENCE_STATE`
The meta object id for the '`Difference State`' enum.
`static final ComparePackage`
`eINSTANCE`
The singleton instance of the package.
`static final int`
`EITERABLE`
The meta object id for the 'EIterable' data type.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`EQUIVALENCE`
The meta object id for the '`Equivalence`' class.
`static final int`
`EQUIVALENCE__DIFFERENCES`
The feature id for the 'Differences' reference list.
`static final int`
`EQUIVALENCE_FEATURE_COUNT`
The number of structural features of the 'Equivalence' class.
`static final int`
`FEATURE_MAP_CHANGE`
The meta object id for the '`Feature Map Change`' class.
`static final int`
`FEATURE_MAP_CHANGE__ATTRIBUTE`
The feature id for the 'Attribute' reference.
`static final int`
`FEATURE_MAP_CHANGE__CONFLICT`
The feature id for the 'Conflict' reference.
`static final int`
`FEATURE_MAP_CHANGE__EQUIVALENCE`
The feature id for the 'Equivalence' reference.
`static final int`
`FEATURE_MAP_CHANGE__IMPLIED_BY`
The feature id for the 'Implied By' reference list.
`static final int`
`FEATURE_MAP_CHANGE__IMPLIES`
The feature id for the 'Implies' reference list.
`static final int`
`FEATURE_MAP_CHANGE__KIND`
The feature id for the 'Kind' attribute.
`static final int`
`FEATURE_MAP_CHANGE__MATCH`
The feature id for the 'Match' reference.
`static final int`
`FEATURE_MAP_CHANGE__PRIME_REFINING`
The feature id for the 'Prime Refining' reference.
`static final int`
`FEATURE_MAP_CHANGE__REFINED_BY`
The feature id for the 'Refined By' reference list.
`static final int`
`FEATURE_MAP_CHANGE__REFINES`
The feature id for the 'Refines' reference list.
`static final int`
`FEATURE_MAP_CHANGE__REQUIRED_BY`
The feature id for the 'Required By' reference list.
`static final int`
`FEATURE_MAP_CHANGE__REQUIRES`
The feature id for the 'Requires' reference list.
`static final int`
`FEATURE_MAP_CHANGE__SOURCE`
The feature id for the 'Source' attribute.
`static final int`
`FEATURE_MAP_CHANGE__STATE`
The feature id for the 'State' attribute.
`static final int`
`FEATURE_MAP_CHANGE__VALUE`
The feature id for the 'Value' attribute.
`static final int`
`FEATURE_MAP_CHANGE_FEATURE_COUNT`
The number of structural features of the 'Feature Map Change' class.
`static final int`
`IEQUALITY_HELPER`
The meta object id for the 'IEquality Helper' data type.
`static final int`
`MATCH`
The meta object id for the '`Match`' class.
`static final int`
`MATCH__DIFFERENCES`
The feature id for the 'Differences' containment reference list.
`static final int`
`MATCH__LEFT`
The feature id for the 'Left' reference.
`static final int`
`MATCH__ORIGIN`
The feature id for the 'Origin' reference.
`static final int`
`MATCH__RIGHT`
The feature id for the 'Right' reference.
`static final int`
`MATCH__SUBMATCHES`
The feature id for the 'Submatches' containment reference list.
`static final int`
`MATCH_FEATURE_COUNT`
The number of structural features of the 'Match' class.
`static final int`
`MATCH_RESOURCE`
The meta object id for the '`Match Resource`' class.
`static final int`
`MATCH_RESOURCE__COMPARISON`
The feature id for the 'Comparison' container reference.
`static final int`
`MATCH_RESOURCE__LEFT`
The feature id for the 'Left' attribute.
`static final int`
`MATCH_RESOURCE__LEFT_URI`
The feature id for the 'Left URI' attribute.
`static final int`
`MATCH_RESOURCE__LOCATION_CHANGES`
The feature id for the 'Location Changes' containment reference list.
`static final int`
`MATCH_RESOURCE__ORIGIN`
The feature id for the 'Origin' attribute.
`static final int`
`MATCH_RESOURCE__ORIGIN_URI`
The feature id for the 'Origin URI' attribute.
`static final int`
`MATCH_RESOURCE__RIGHT`
The feature id for the 'Right' attribute.
`static final int`
`MATCH_RESOURCE__RIGHT_URI`
The feature id for the 'Right URI' attribute.
`static final int`
`MATCH_RESOURCE_FEATURE_COUNT`
The number of structural features of the 'Match Resource' class.
`static final int`
`REFERENCE_CHANGE`
The meta object id for the '`Reference Change`' class.
`static final int`
`REFERENCE_CHANGE__CONFLICT`
The feature id for the 'Conflict' reference.
`static final int`
`REFERENCE_CHANGE__EQUIVALENCE`
The feature id for the 'Equivalence' reference.
`static final int`
`REFERENCE_CHANGE__IMPLIED_BY`
The feature id for the 'Implied By' reference list.
`static final int`
`REFERENCE_CHANGE__IMPLIES`
The feature id for the 'Implies' reference list.
`static final int`
`REFERENCE_CHANGE__KIND`
The feature id for the 'Kind' attribute.
`static final int`
`REFERENCE_CHANGE__MATCH`
The feature id for the 'Match' reference.
`static final int`
`REFERENCE_CHANGE__PRIME_REFINING`
The feature id for the 'Prime Refining' reference.
`static final int`
`REFERENCE_CHANGE__REFERENCE`
The feature id for the 'Reference' reference.
`static final int`
`REFERENCE_CHANGE__REFINED_BY`
The feature id for the 'Refined By' reference list.
`static final int`
`REFERENCE_CHANGE__REFINES`
The feature id for the 'Refines' reference list.
`static final int`
`REFERENCE_CHANGE__REQUIRED_BY`
The feature id for the 'Required By' reference list.
`static final int`
`REFERENCE_CHANGE__REQUIRES`
The feature id for the 'Requires' reference list.
`static final int`
`REFERENCE_CHANGE__SOURCE`
The feature id for the 'Source' attribute.
`static final int`
`REFERENCE_CHANGE__STATE`
The feature id for the 'State' attribute.
`static final int`
`REFERENCE_CHANGE__VALUE`
The feature id for the 'Value' reference.
`static final int`
`REFERENCE_CHANGE_FEATURE_COUNT`
The number of structural features of the 'Reference Change' class.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE`
The meta object id for the '`Resource Attachment Change`' class.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE__CONFLICT`
The feature id for the 'Conflict' reference.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE__EQUIVALENCE`
The feature id for the 'Equivalence' reference.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE__IMPLIED_BY`
The feature id for the 'Implied By' reference list.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE__IMPLIES`
The feature id for the 'Implies' reference list.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE__KIND`
The feature id for the 'Kind' attribute.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE__MATCH`
The feature id for the 'Match' reference.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE__PRIME_REFINING`
The feature id for the 'Prime Refining' reference.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE__REFINED_BY`
The feature id for the 'Refined By' reference list.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE__REFINES`
The feature id for the 'Refines' reference list.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE__REQUIRED_BY`
The feature id for the 'Required By' reference list.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE__REQUIRES`
The feature id for the 'Requires' reference list.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE__RESOURCE_URI`
The feature id for the 'Resource URI' attribute.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE__SOURCE`
The feature id for the 'Source' attribute.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE__STATE`
The feature id for the 'State' attribute.
`static final int`
`RESOURCE_ATTACHMENT_CHANGE_FEATURE_COUNT`
The number of structural features of the 'Resource Attachment Change' class.
`static final int`
`RESOURCE_LOCATION_CHANGE`
The meta object id for the '`Resource Location Change`' class.
`static final int`
`RESOURCE_LOCATION_CHANGE__BASE_LOCATION`
The feature id for the 'Base Location' attribute.
`static final int`
`RESOURCE_LOCATION_CHANGE__CHANGED_LOCATION`
The feature id for the 'Changed Location' attribute.
`static final int`
`RESOURCE_LOCATION_CHANGE__CONFLICT`
The feature id for the 'Conflict' reference.
`static final int`
`RESOURCE_LOCATION_CHANGE__EQUIVALENCE`
The feature id for the 'Equivalence' reference.
`static final int`
`RESOURCE_LOCATION_CHANGE__IMPLIED_BY`
The feature id for the 'Implied By' reference list.
`static final int`
`RESOURCE_LOCATION_CHANGE__IMPLIES`
The feature id for the 'Implies' reference list.
`static final int`
`RESOURCE_LOCATION_CHANGE__KIND`
The feature id for the 'Kind' attribute.
`static final int`
`RESOURCE_LOCATION_CHANGE__MATCH`
The feature id for the 'Match' reference.
`static final int`
`RESOURCE_LOCATION_CHANGE__PRIME_REFINING`
The feature id for the 'Prime Refining' reference.
`static final int`
`RESOURCE_LOCATION_CHANGE__REFINED_BY`
The feature id for the 'Refined By' reference list.
`static final int`
`RESOURCE_LOCATION_CHANGE__REFINES`
The feature id for the 'Refines' reference list.
`static final int`
`RESOURCE_LOCATION_CHANGE__REQUIRED_BY`
The feature id for the 'Required By' reference list.
`static final int`
`RESOURCE_LOCATION_CHANGE__REQUIRES`
The feature id for the 'Requires' reference list.
`static final int`
`RESOURCE_LOCATION_CHANGE__SOURCE`
The feature id for the 'Source' attribute.
`static final int`
`RESOURCE_LOCATION_CHANGE__STATE`
The feature id for the 'State' attribute.
`static final int`
`RESOURCE_LOCATION_CHANGE_FEATURE_COUNT`
The number of structural features of the 'Resource Location Change' class.

## Method Summary

Modifier and Type
Method
Description
`EClass`
`getAttributeChange()`
Returns the meta object for class '`Attribute Change`'.
`EReference`
`getAttributeChange_Attribute()`
Returns the meta object for the reference '`Attribute`'.
`EAttribute`
`getAttributeChange_Value()`
Returns the meta object for the attribute '`Value`'.
`CompareFactory`
`getCompareFactory()`
Returns the factory that creates the instances of the model.
`EClass`
`getComparison()`
Returns the meta object for class '`Comparison`'.
`EReference`
`getComparison_Conflicts()`
Returns the meta object for the containment reference list '`Conflicts`'.
`EAttribute`
`getComparison_Diagnostic()`
Returns the meta object for the attribute '`Diagnostic`'.
`EReference`
`getComparison_Equivalences()`
Returns the meta object for the containment reference list '`Equivalences`'.
`EReference`
`getComparison_MatchedResources()`
Returns the meta object for the containment reference list ' `Matched Resources`'.
`EReference`
`getComparison_Matches()`
Returns the meta object for the containment reference list '`Matches`'.
`EAttribute`
`getComparison_ThreeWay()`
Returns the meta object for the attribute '`Three Way`'.
`EClass`
`getConflict()`
Returns the meta object for class '`Conflict`'.
`EReference`
`getConflict_Differences()`
Returns the meta object for the reference list '`Differences`'.
`EAttribute`
`getConflict_Kind()`
Returns the meta object for the attribute '`Kind`'.
`EEnum`
`getConflictKind()`
Returns the meta object for enum '`Conflict Kind`'.
`EDataType`
`getDiagnostic()`
Returns the meta object for data type '`Diagnostic`'.
`EClass`
`getDiff()`
Returns the meta object for class '`Diff`'.
`EReference`
`getDiff_Conflict()`
Returns the meta object for the reference '`Conflict`'.
`EReference`
`getDiff_Equivalence()`
Returns the meta object for the reference '`Equivalence`'.
`EReference`
`getDiff_ImpliedBy()`
Returns the meta object for the reference list '`Implied By`'.
`EReference`
`getDiff_Implies()`
Returns the meta object for the reference list '`Implies`'.
`EAttribute`
`getDiff_Kind()`
Returns the meta object for the attribute '`Kind`'.
`EReference`
`getDiff_Match()`
Returns the meta object for the reference '`Match`'.
`EReference`
`getDiff_PrimeRefining()`
Returns the meta object for the reference '`Prime Refining`'.
`EReference`
`getDiff_RefinedBy()`
Returns the meta object for the reference list '`Refined By`'.
`EReference`
`getDiff_Refines()`
Returns the meta object for the reference list '`Refines`'.
`EReference`
`getDiff_RequiredBy()`
Returns the meta object for the reference list '`Required By`'.
`EReference`
`getDiff_Requires()`
Returns the meta object for the reference list '`Requires`'.
`EAttribute`
`getDiff_Source()`
Returns the meta object for the attribute '`Source`'.
`EAttribute`
`getDiff_State()`
Returns the meta object for the attribute '`State`'.
`EEnum`
`getDifferenceKind()`
Returns the meta object for enum '`Difference Kind`'.
`EEnum`
`getDifferenceSource()`
Returns the meta object for enum '`Difference Source`'.
`EEnum`
`getDifferenceState()`
Returns the meta object for enum '`Difference State`'.
`EDataType`
`getEIterable()`
Returns the meta object for data type '`EIterable`'.
`EClass`
`getEquivalence()`
Returns the meta object for class '`Equivalence`'.
`EReference`
`getEquivalence_Differences()`
Returns the meta object for the reference list '`Differences`'.
`EClass`
`getFeatureMapChange()`
Returns the meta object for class '`Feature Map Change`'.
`EReference`
`getFeatureMapChange_Attribute()`
Returns the meta object for the reference '`Attribute`'.
`EAttribute`
`getFeatureMapChange_Value()`
Returns the meta object for the attribute '`Value`'.
`EDataType`
`getIEqualityHelper()`
Returns the meta object for data type '`IEquality Helper`'.
`EClass`
`getMatch()`
Returns the meta object for class '`Match`'.
`EReference`
`getMatch_Differences()`
Returns the meta object for the containment reference list '`Differences`'.
`EReference`
`getMatch_Left()`
Returns the meta object for the reference '`Left`'.
`EReference`
`getMatch_Origin()`
Returns the meta object for the reference '`Origin`'.
`EReference`
`getMatch_Right()`
Returns the meta object for the reference '`Right`'.
`EReference`
`getMatch_Submatches()`
Returns the meta object for the containment reference list '`Submatches`'.
`EClass`
`getMatchResource()`
Returns the meta object for class '`Match Resource`'.
`EReference`
`getMatchResource_Comparison()`
Returns the meta object for the container reference '`Comparison`'.
`EAttribute`
`getMatchResource_Left()`
Returns the meta object for the attribute '`Left`'.
`EAttribute`
`getMatchResource_LeftURI()`
Returns the meta object for the attribute '`Left URI`'.
`EReference`
`getMatchResource_LocationChanges()`
Returns the meta object for the containment reference list '`Location Changes`'.
`EAttribute`
`getMatchResource_Origin()`
Returns the meta object for the attribute '`Origin`'.
`EAttribute`
`getMatchResource_OriginURI()`
Returns the meta object for the attribute '`Origin URI`'.
`EAttribute`
`getMatchResource_Right()`
Returns the meta object for the attribute '`Right`'.
`EAttribute`
`getMatchResource_RightURI()`
Returns the meta object for the attribute '`Right URI`'.
`EClass`
`getReferenceChange()`
Returns the meta object for class '`Reference Change`'.
`EReference`
`getReferenceChange_Reference()`
Returns the meta object for the reference '`Reference`'.
`EReference`
`getReferenceChange_Value()`
Returns the meta object for the reference '`Value`'.
`EClass`
`getResourceAttachmentChange()`
Returns the meta object for class '`Resource Attachment Change`'.
`EAttribute`
`getResourceAttachmentChange_ResourceURI()`
Returns the meta object for the attribute ' `Resource URI`'.
`EClass`
`getResourceLocationChange()`
Returns the meta object for class '`Resource Location Change`'.
`EAttribute`
`getResourceLocationChange_BaseLocation()`
Returns the meta object for the attribute '`Base Location`'.
`EAttribute`
`getResourceLocationChange_ChangedLocation()`
Returns the meta object for the attribute '`Changed Location`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### copyright

static final String copyright

See Also:
  - Constant Field Values
Generated:

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values
Generated:

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values
Generated:

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values
Generated:

### eINSTANCE

static final ComparePackage eINSTANCE
The singleton instance of the package.

Generated:

### COMPARISON

static final int COMPARISON
The meta object id for the '`Comparison`' class.

See Also:
  - `ComparisonImpl`
  - `ComparePackageImpl.getComparison()`
  - Constant Field Values
Generated:

### COMPARISON__MATCHED_RESOURCES

static final int COMPARISON__MATCHED_RESOURCES
The feature id for the 'Matched Resources' containment reference list.

See Also:
  - Constant Field Values
Generated:

### COMPARISON__MATCHES

static final int COMPARISON__MATCHES
The feature id for the 'Matches' containment reference list.

See Also:
  - Constant Field Values
Generated:

### COMPARISON__CONFLICTS

static final int COMPARISON__CONFLICTS
The feature id for the 'Conflicts' containment reference list.

See Also:
  - Constant Field Values
Generated:

### COMPARISON__EQUIVALENCES

static final int COMPARISON__EQUIVALENCES
The feature id for the 'Equivalences' containment reference list.

See Also:
  - Constant Field Values
Generated:

### COMPARISON__THREE_WAY

static final int COMPARISON__THREE_WAY
The feature id for the 'Three Way' attribute.

See Also:
  - Constant Field Values
Generated:

### COMPARISON__DIAGNOSTIC

static final int COMPARISON__DIAGNOSTIC
The feature id for the 'Diagnostic' attribute.

See Also:
  - Constant Field Values
Generated:

### COMPARISON_FEATURE_COUNT

static final int COMPARISON_FEATURE_COUNT
The number of structural features of the 'Comparison' class.

See Also:
  - Constant Field Values
Generated:

### MATCH_RESOURCE

static final int MATCH_RESOURCE
The meta object id for the '`Match Resource`' class.

See Also:
  - `MatchResourceImpl`
  - `ComparePackageImpl.getMatchResource()`
  - Constant Field Values
Generated:

### MATCH_RESOURCE__LEFT_URI

static final int MATCH_RESOURCE__LEFT_URI
The feature id for the 'Left URI' attribute.

See Also:
  - Constant Field Values
Generated:

### MATCH_RESOURCE__RIGHT_URI

static final int MATCH_RESOURCE__RIGHT_URI
The feature id for the 'Right URI' attribute.

See Also:
  - Constant Field Values
Generated:

### MATCH_RESOURCE__ORIGIN_URI

static final int MATCH_RESOURCE__ORIGIN_URI
The feature id for the 'Origin URI' attribute.

See Also:
  - Constant Field Values
Generated:

### MATCH_RESOURCE__LEFT

static final int MATCH_RESOURCE__LEFT
The feature id for the 'Left' attribute.

See Also:
  - Constant Field Values
Generated:

### MATCH_RESOURCE__RIGHT

static final int MATCH_RESOURCE__RIGHT
The feature id for the 'Right' attribute.

See Also:
  - Constant Field Values
Generated:

### MATCH_RESOURCE__ORIGIN

static final int MATCH_RESOURCE__ORIGIN
The feature id for the 'Origin' attribute.

See Also:
  - Constant Field Values
Generated:

### MATCH_RESOURCE__COMPARISON

static final int MATCH_RESOURCE__COMPARISON
The feature id for the 'Comparison' container reference.

See Also:
  - Constant Field Values
Generated:

### MATCH_RESOURCE__LOCATION_CHANGES

static final int MATCH_RESOURCE__LOCATION_CHANGES
The feature id for the 'Location Changes' containment reference list.

See Also:
  - Constant Field Values
Generated:

### MATCH_RESOURCE_FEATURE_COUNT

static final int MATCH_RESOURCE_FEATURE_COUNT
The number of structural features of the 'Match Resource' class.

See Also:
  - Constant Field Values
Generated:

### MATCH

static final int MATCH
The meta object id for the '`Match`' class.

See Also:
  - `MatchImpl`
  - `ComparePackageImpl.getMatch()`
  - Constant Field Values
Generated:

### MATCH__SUBMATCHES

static final int MATCH__SUBMATCHES
The feature id for the 'Submatches' containment reference list.

See Also:
  - Constant Field Values
Generated:

### MATCH__DIFFERENCES

static final int MATCH__DIFFERENCES
The feature id for the 'Differences' containment reference list.

See Also:
  - Constant Field Values
Generated:

### MATCH__LEFT

static final int MATCH__LEFT
The feature id for the 'Left' reference.

See Also:
  - Constant Field Values
Generated:

### MATCH__RIGHT

static final int MATCH__RIGHT
The feature id for the 'Right' reference.

See Also:
  - Constant Field Values
Generated:

### MATCH__ORIGIN

static final int MATCH__ORIGIN
The feature id for the 'Origin' reference.

See Also:
  - Constant Field Values
Generated:

### MATCH_FEATURE_COUNT

static final int MATCH_FEATURE_COUNT
The number of structural features of the 'Match' class.

See Also:
  - Constant Field Values
Generated:

### DIFF

static final int DIFF
The meta object id for the '`Diff`' class.

See Also:
  - `DiffImpl`
  - `ComparePackageImpl.getDiff()`
  - Constant Field Values
Generated:

### DIFF__MATCH

static final int DIFF__MATCH
The feature id for the 'Match' reference.

See Also:
  - Constant Field Values
Generated:

### DIFF__REQUIRES

static final int DIFF__REQUIRES
The feature id for the 'Requires' reference list.

See Also:
  - Constant Field Values
Generated:

### DIFF__REQUIRED_BY

static final int DIFF__REQUIRED_BY
The feature id for the 'Required By' reference list.

See Also:
  - Constant Field Values
Generated:

### DIFF__IMPLIES

static final int DIFF__IMPLIES
The feature id for the 'Implies' reference list.

See Also:
  - Constant Field Values
Generated:

### DIFF__IMPLIED_BY

static final int DIFF__IMPLIED_BY
The feature id for the 'Implied By' reference list.

See Also:
  - Constant Field Values
Generated:

### DIFF__REFINES

static final int DIFF__REFINES
The feature id for the 'Refines' reference list.

See Also:
  - Constant Field Values
Generated:

### DIFF__REFINED_BY

static final int DIFF__REFINED_BY
The feature id for the 'Refined By' reference list.

See Also:
  - Constant Field Values
Generated:

### DIFF__PRIME_REFINING

static final int DIFF__PRIME_REFINING
The feature id for the 'Prime Refining' reference.

See Also:
  - Constant Field Values
Generated:

### DIFF__KIND

static final int DIFF__KIND
The feature id for the 'Kind' attribute.

See Also:
  - Constant Field Values
Generated:

### DIFF__SOURCE

static final int DIFF__SOURCE
The feature id for the 'Source' attribute.

See Also:
  - Constant Field Values
Generated:

### DIFF__STATE

static final int DIFF__STATE
The feature id for the 'State' attribute.

See Also:
  - Constant Field Values
Generated:

### DIFF__EQUIVALENCE

static final int DIFF__EQUIVALENCE
The feature id for the 'Equivalence' reference.

See Also:
  - Constant Field Values
Generated:

### DIFF__CONFLICT

static final int DIFF__CONFLICT
The feature id for the 'Conflict' reference.

See Also:
  - Constant Field Values
Generated:

### DIFF_FEATURE_COUNT

static final int DIFF_FEATURE_COUNT
The number of structural features of the 'Diff' class.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE

static final int RESOURCE_ATTACHMENT_CHANGE
The meta object id for the '`Resource Attachment Change`' class.

See Also:
  - `ResourceAttachmentChangeImpl`
  - `ComparePackageImpl.getResourceAttachmentChange()`
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE__MATCH

static final int RESOURCE_ATTACHMENT_CHANGE__MATCH
The feature id for the 'Match' reference.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE__REQUIRES

static final int RESOURCE_ATTACHMENT_CHANGE__REQUIRES
The feature id for the 'Requires' reference list.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE__REQUIRED_BY

static final int RESOURCE_ATTACHMENT_CHANGE__REQUIRED_BY
The feature id for the 'Required By' reference list.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE__IMPLIES

static final int RESOURCE_ATTACHMENT_CHANGE__IMPLIES
The feature id for the 'Implies' reference list.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE__IMPLIED_BY

static final int RESOURCE_ATTACHMENT_CHANGE__IMPLIED_BY
The feature id for the 'Implied By' reference list.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE__REFINES

static final int RESOURCE_ATTACHMENT_CHANGE__REFINES
The feature id for the 'Refines' reference list.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE__REFINED_BY

static final int RESOURCE_ATTACHMENT_CHANGE__REFINED_BY
The feature id for the 'Refined By' reference list.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE__PRIME_REFINING

static final int RESOURCE_ATTACHMENT_CHANGE__PRIME_REFINING
The feature id for the 'Prime Refining' reference.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE__KIND

static final int RESOURCE_ATTACHMENT_CHANGE__KIND
The feature id for the 'Kind' attribute.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE__SOURCE

static final int RESOURCE_ATTACHMENT_CHANGE__SOURCE
The feature id for the 'Source' attribute.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE__STATE

static final int RESOURCE_ATTACHMENT_CHANGE__STATE
The feature id for the 'State' attribute.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE__EQUIVALENCE

static final int RESOURCE_ATTACHMENT_CHANGE__EQUIVALENCE
The feature id for the 'Equivalence' reference.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE__CONFLICT

static final int RESOURCE_ATTACHMENT_CHANGE__CONFLICT
The feature id for the 'Conflict' reference.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE__RESOURCE_URI

static final int RESOURCE_ATTACHMENT_CHANGE__RESOURCE_URI
The feature id for the 'Resource URI' attribute.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_ATTACHMENT_CHANGE_FEATURE_COUNT

static final int RESOURCE_ATTACHMENT_CHANGE_FEATURE_COUNT
The number of structural features of the 'Resource Attachment Change' class.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE

static final int RESOURCE_LOCATION_CHANGE
The meta object id for the '`Resource Location Change`' class.

See Also:
  - `ResourceLocationChangeImpl`
  - `ComparePackageImpl.getResourceLocationChange()`
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__MATCH

static final int RESOURCE_LOCATION_CHANGE__MATCH
The feature id for the 'Match' reference.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__REQUIRES

static final int RESOURCE_LOCATION_CHANGE__REQUIRES
The feature id for the 'Requires' reference list.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__REQUIRED_BY

static final int RESOURCE_LOCATION_CHANGE__REQUIRED_BY
The feature id for the 'Required By' reference list.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__IMPLIES

static final int RESOURCE_LOCATION_CHANGE__IMPLIES
The feature id for the 'Implies' reference list.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__IMPLIED_BY

static final int RESOURCE_LOCATION_CHANGE__IMPLIED_BY
The feature id for the 'Implied By' reference list.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__REFINES

static final int RESOURCE_LOCATION_CHANGE__REFINES
The feature id for the 'Refines' reference list.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__REFINED_BY

static final int RESOURCE_LOCATION_CHANGE__REFINED_BY
The feature id for the 'Refined By' reference list.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__PRIME_REFINING

static final int RESOURCE_LOCATION_CHANGE__PRIME_REFINING
The feature id for the 'Prime Refining' reference.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__KIND

static final int RESOURCE_LOCATION_CHANGE__KIND
The feature id for the 'Kind' attribute.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__SOURCE

static final int RESOURCE_LOCATION_CHANGE__SOURCE
The feature id for the 'Source' attribute.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__STATE

static final int RESOURCE_LOCATION_CHANGE__STATE
The feature id for the 'State' attribute.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__EQUIVALENCE

static final int RESOURCE_LOCATION_CHANGE__EQUIVALENCE
The feature id for the 'Equivalence' reference.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__CONFLICT

static final int RESOURCE_LOCATION_CHANGE__CONFLICT
The feature id for the 'Conflict' reference.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__BASE_LOCATION

static final int RESOURCE_LOCATION_CHANGE__BASE_LOCATION
The feature id for the 'Base Location' attribute.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE__CHANGED_LOCATION

static final int RESOURCE_LOCATION_CHANGE__CHANGED_LOCATION
The feature id for the 'Changed Location' attribute.

See Also:
  - Constant Field Values
Generated:

### RESOURCE_LOCATION_CHANGE_FEATURE_COUNT

static final int RESOURCE_LOCATION_CHANGE_FEATURE_COUNT
The number of structural features of the 'Resource Location Change' class.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE

static final int REFERENCE_CHANGE
The meta object id for the '`Reference Change`' class.

See Also:
  - `ReferenceChangeImpl`
  - `ComparePackageImpl.getReferenceChange()`
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__MATCH

static final int REFERENCE_CHANGE__MATCH
The feature id for the 'Match' reference.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__REQUIRES

static final int REFERENCE_CHANGE__REQUIRES
The feature id for the 'Requires' reference list.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__REQUIRED_BY

static final int REFERENCE_CHANGE__REQUIRED_BY
The feature id for the 'Required By' reference list.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__IMPLIES

static final int REFERENCE_CHANGE__IMPLIES
The feature id for the 'Implies' reference list.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__IMPLIED_BY

static final int REFERENCE_CHANGE__IMPLIED_BY
The feature id for the 'Implied By' reference list.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__REFINES

static final int REFERENCE_CHANGE__REFINES
The feature id for the 'Refines' reference list.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__REFINED_BY

static final int REFERENCE_CHANGE__REFINED_BY
The feature id for the 'Refined By' reference list.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__PRIME_REFINING

static final int REFERENCE_CHANGE__PRIME_REFINING
The feature id for the 'Prime Refining' reference.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__KIND

static final int REFERENCE_CHANGE__KIND
The feature id for the 'Kind' attribute.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__SOURCE

static final int REFERENCE_CHANGE__SOURCE
The feature id for the 'Source' attribute.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__STATE

static final int REFERENCE_CHANGE__STATE
The feature id for the 'State' attribute.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__EQUIVALENCE

static final int REFERENCE_CHANGE__EQUIVALENCE
The feature id for the 'Equivalence' reference.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__CONFLICT

static final int REFERENCE_CHANGE__CONFLICT
The feature id for the 'Conflict' reference.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__REFERENCE

static final int REFERENCE_CHANGE__REFERENCE
The feature id for the 'Reference' reference.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE__VALUE

static final int REFERENCE_CHANGE__VALUE
The feature id for the 'Value' reference.

See Also:
  - Constant Field Values
Generated:

### REFERENCE_CHANGE_FEATURE_COUNT

static final int REFERENCE_CHANGE_FEATURE_COUNT
The number of structural features of the 'Reference Change' class.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE

static final int ATTRIBUTE_CHANGE
The meta object id for the '`Attribute Change`' class.

See Also:
  - `AttributeChangeImpl`
  - `ComparePackageImpl.getAttributeChange()`
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__MATCH

static final int ATTRIBUTE_CHANGE__MATCH
The feature id for the 'Match' reference.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__REQUIRES

static final int ATTRIBUTE_CHANGE__REQUIRES
The feature id for the 'Requires' reference list.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__REQUIRED_BY

static final int ATTRIBUTE_CHANGE__REQUIRED_BY
The feature id for the 'Required By' reference list.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__IMPLIES

static final int ATTRIBUTE_CHANGE__IMPLIES
The feature id for the 'Implies' reference list.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__IMPLIED_BY

static final int ATTRIBUTE_CHANGE__IMPLIED_BY
The feature id for the 'Implied By' reference list.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__REFINES

static final int ATTRIBUTE_CHANGE__REFINES
The feature id for the 'Refines' reference list.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__REFINED_BY

static final int ATTRIBUTE_CHANGE__REFINED_BY
The feature id for the 'Refined By' reference list.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__PRIME_REFINING

static final int ATTRIBUTE_CHANGE__PRIME_REFINING
The feature id for the 'Prime Refining' reference.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__KIND

static final int ATTRIBUTE_CHANGE__KIND
The feature id for the 'Kind' attribute.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__SOURCE

static final int ATTRIBUTE_CHANGE__SOURCE
The feature id for the 'Source' attribute.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__STATE

static final int ATTRIBUTE_CHANGE__STATE
The feature id for the 'State' attribute.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__EQUIVALENCE

static final int ATTRIBUTE_CHANGE__EQUIVALENCE
The feature id for the 'Equivalence' reference.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__CONFLICT

static final int ATTRIBUTE_CHANGE__CONFLICT
The feature id for the 'Conflict' reference.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__ATTRIBUTE

static final int ATTRIBUTE_CHANGE__ATTRIBUTE
The feature id for the 'Attribute' reference.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE__VALUE

static final int ATTRIBUTE_CHANGE__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values
Generated:

### ATTRIBUTE_CHANGE_FEATURE_COUNT

static final int ATTRIBUTE_CHANGE_FEATURE_COUNT
The number of structural features of the 'Attribute Change' class.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE

static final int FEATURE_MAP_CHANGE
The meta object id for the '`Feature Map Change`' class.

See Also:
  - `FeatureMapChangeImpl`
  - `ComparePackageImpl.getFeatureMapChange()`
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__MATCH

static final int FEATURE_MAP_CHANGE__MATCH
The feature id for the 'Match' reference.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__REQUIRES

static final int FEATURE_MAP_CHANGE__REQUIRES
The feature id for the 'Requires' reference list.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__REQUIRED_BY

static final int FEATURE_MAP_CHANGE__REQUIRED_BY
The feature id for the 'Required By' reference list.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__IMPLIES

static final int FEATURE_MAP_CHANGE__IMPLIES
The feature id for the 'Implies' reference list.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__IMPLIED_BY

static final int FEATURE_MAP_CHANGE__IMPLIED_BY
The feature id for the 'Implied By' reference list.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__REFINES

static final int FEATURE_MAP_CHANGE__REFINES
The feature id for the 'Refines' reference list.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__REFINED_BY

static final int FEATURE_MAP_CHANGE__REFINED_BY
The feature id for the 'Refined By' reference list.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__PRIME_REFINING

static final int FEATURE_MAP_CHANGE__PRIME_REFINING
The feature id for the 'Prime Refining' reference.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__KIND

static final int FEATURE_MAP_CHANGE__KIND
The feature id for the 'Kind' attribute.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__SOURCE

static final int FEATURE_MAP_CHANGE__SOURCE
The feature id for the 'Source' attribute.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__STATE

static final int FEATURE_MAP_CHANGE__STATE
The feature id for the 'State' attribute.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__EQUIVALENCE

static final int FEATURE_MAP_CHANGE__EQUIVALENCE
The feature id for the 'Equivalence' reference.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__CONFLICT

static final int FEATURE_MAP_CHANGE__CONFLICT
The feature id for the 'Conflict' reference.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__ATTRIBUTE

static final int FEATURE_MAP_CHANGE__ATTRIBUTE
The feature id for the 'Attribute' reference.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE__VALUE

static final int FEATURE_MAP_CHANGE__VALUE
The feature id for the 'Value' attribute.

See Also:
  - Constant Field Values
Generated:

### FEATURE_MAP_CHANGE_FEATURE_COUNT

static final int FEATURE_MAP_CHANGE_FEATURE_COUNT
The number of structural features of the 'Feature Map Change' class.

See Also:
  - Constant Field Values
Generated:

### CONFLICT

static final int CONFLICT
The meta object id for the '`Conflict`' class.

See Also:
  - `ConflictImpl`
  - `ComparePackageImpl.getConflict()`
  - Constant Field Values
Generated:

### CONFLICT__KIND

static final int CONFLICT__KIND
The feature id for the 'Kind' attribute.

See Also:
  - Constant Field Values
Generated:

### CONFLICT__DIFFERENCES

static final int CONFLICT__DIFFERENCES
The feature id for the 'Differences' reference list.

See Also:
  - Constant Field Values
Generated:

### CONFLICT_FEATURE_COUNT

static final int CONFLICT_FEATURE_COUNT
The number of structural features of the 'Conflict' class.

See Also:
  - Constant Field Values
Generated:

### EQUIVALENCE

static final int EQUIVALENCE
The meta object id for the '`Equivalence`' class.

See Also:
  - `EquivalenceImpl`
  - `ComparePackageImpl.getEquivalence()`
  - Constant Field Values
Generated:

### EQUIVALENCE__DIFFERENCES

static final int EQUIVALENCE__DIFFERENCES
The feature id for the 'Differences' reference list.

See Also:
  - Constant Field Values
Generated:

### EQUIVALENCE_FEATURE_COUNT

static final int EQUIVALENCE_FEATURE_COUNT
The number of structural features of the 'Equivalence' class.

See Also:
  - Constant Field Values
Generated:

### DIFFERENCE_KIND

static final int DIFFERENCE_KIND
The meta object id for the '`Difference Kind`' enum.

See Also:
  - `DifferenceKind`
  - `ComparePackageImpl.getDifferenceKind()`
  - Constant Field Values
Generated:

### DIFFERENCE_SOURCE

static final int DIFFERENCE_SOURCE
The meta object id for the '`Difference Source`' enum.

See Also:
  - `DifferenceSource`
  - `ComparePackageImpl.getDifferenceSource()`
  - Constant Field Values
Generated:

### DIFFERENCE_STATE

static final int DIFFERENCE_STATE
The meta object id for the '`Difference State`' enum.

See Also:
  - `DifferenceState`
  - `ComparePackageImpl.getDifferenceState()`
  - Constant Field Values
Generated:

### CONFLICT_KIND

static final int CONFLICT_KIND
The meta object id for the '`Conflict Kind`' enum.

See Also:
  - `ConflictKind`
  - `ComparePackageImpl.getConflictKind()`
  - Constant Field Values
Generated:

### EITERABLE

static final int EITERABLE
The meta object id for the 'EIterable' data type.

See Also:
  - `Iterable`
  - `ComparePackageImpl.getEIterable()`
  - Constant Field Values
Generated:

### IEQUALITY_HELPER

static final int IEQUALITY_HELPER
The meta object id for the 'IEquality Helper' data type.

See Also:
  - `IEqualityHelper`
  - `ComparePackageImpl.getIEqualityHelper()`
  - Constant Field Values
Generated:

### DIAGNOSTIC

static final int DIAGNOSTIC
The meta object id for the 'Diagnostic' data type.

Since:
  3.1
See Also:
  - `Diagnostic`
  - `ComparePackageImpl.getDiagnostic()`
  - Constant Field Values
Generated:

## Method Details

### getComparison

EClass getComparison()
Returns the meta object for class '`Comparison`'.

Returns:
  the meta object for class 'Comparison'.
See Also:
  - `Comparison`
Generated:

### getComparison_MatchedResources

EReference getComparison_MatchedResources()
Returns the meta object for the containment reference list ' `Matched Resources`'.

Returns:
  the meta object for the containment reference list 'Matched Resources'.
See Also:
  - `Comparison.getMatchedResources()`
  - `getComparison()`
Generated:

### getComparison_Matches

EReference getComparison_Matches()
Returns the meta object for the containment reference list '`Matches`'.

Returns:
  the meta object for the containment reference list 'Matches'.
See Also:
  - `Comparison.getMatches()`
  - `getComparison()`
Generated:

### getComparison_Conflicts

EReference getComparison_Conflicts()
Returns the meta object for the containment reference list '`Conflicts`'.

Returns:
  the meta object for the containment reference list 'Conflicts'.
See Also:
  - `Comparison.getConflicts()`
  - `getComparison()`
Generated:

### getComparison_Equivalences

EReference getComparison_Equivalences()
Returns the meta object for the containment reference list '`Equivalences`'.

Returns:
  the meta object for the containment reference list 'Equivalences'.
See Also:
  - `Comparison.getEquivalences()`
  - `getComparison()`
Generated:

### getComparison_ThreeWay

EAttribute getComparison_ThreeWay()
Returns the meta object for the attribute '`Three Way`'.

Returns:
  the meta object for the attribute 'Three Way'.
See Also:
  - `Comparison.isThreeWay()`
  - `getComparison()`
Generated:

### getComparison_Diagnostic

EAttribute getComparison_Diagnostic()
Returns the meta object for the attribute '`Diagnostic`'.

Returns:
  the meta object for the attribute 'Diagnostic'.
See Also:
  - `Comparison.getDiagnostic()`
  - `getComparison()`
Generated:

### getMatchResource

EClass getMatchResource()
Returns the meta object for class '`Match Resource`'.

Returns:
  the meta object for class 'Match Resource'.
See Also:
  - `MatchResource`
Generated:

### getMatchResource_LeftURI

EAttribute getMatchResource_LeftURI()
Returns the meta object for the attribute '`Left URI`'.

Returns:
  the meta object for the attribute 'Left URI'.
See Also:
  - `MatchResource.getLeftURI()`
  - `getMatchResource()`
Generated:

### getMatchResource_RightURI

EAttribute getMatchResource_RightURI()
Returns the meta object for the attribute '`Right URI`'.

Returns:
  the meta object for the attribute 'Right URI'.
See Also:
  - `MatchResource.getRightURI()`
  - `getMatchResource()`
Generated:

### getMatchResource_OriginURI

EAttribute getMatchResource_OriginURI()
Returns the meta object for the attribute '`Origin URI`'.

Returns:
  the meta object for the attribute 'Origin URI'.
See Also:
  - `MatchResource.getOriginURI()`
  - `getMatchResource()`
Generated:

### getMatchResource_Left

EAttribute getMatchResource_Left()
Returns the meta object for the attribute '`Left`'.

Returns:
  the meta object for the attribute 'Left'.
See Also:
  - `MatchResource.getLeft()`
  - `getMatchResource()`
Generated:

### getMatchResource_Right

EAttribute getMatchResource_Right()
Returns the meta object for the attribute '`Right`'.

Returns:
  the meta object for the attribute 'Right'.
See Also:
  - `MatchResource.getRight()`
  - `getMatchResource()`
Generated:

### getMatchResource_Origin

EAttribute getMatchResource_Origin()
Returns the meta object for the attribute '`Origin`'.

Returns:
  the meta object for the attribute 'Origin'.
See Also:
  - `MatchResource.getOrigin()`
  - `getMatchResource()`
Generated:

### getMatchResource_Comparison

EReference getMatchResource_Comparison()
Returns the meta object for the container reference '`Comparison`'.

Returns:
  the meta object for the container reference 'Comparison'.
See Also:
  - `MatchResource.getComparison()`
  - `getMatchResource()`
Generated:

### getMatchResource_LocationChanges

EReference getMatchResource_LocationChanges()
Returns the meta object for the containment reference list '`Location Changes`'.

Returns:
  the meta object for the containment reference list 'Location Changes'.
See Also:
  - `MatchResource.getLocationChanges()`
  - `getMatchResource()`
Generated:

### getMatch

EClass getMatch()
Returns the meta object for class '`Match`'.

Returns:
  the meta object for class 'Match'.
See Also:
  - `Match`
Generated:

### getMatch_Submatches

EReference getMatch_Submatches()
Returns the meta object for the containment reference list '`Submatches`'.

Returns:
  the meta object for the containment reference list 'Submatches'.
See Also:
  - `Match.getSubmatches()`
  - `getMatch()`
Generated:

### getMatch_Differences

EReference getMatch_Differences()
Returns the meta object for the containment reference list '`Differences`'.

Returns:
  the meta object for the containment reference list 'Differences'.
See Also:
  - `Match.getDifferences()`
  - `getMatch()`
Generated:

### getMatch_Left

EReference getMatch_Left()
Returns the meta object for the reference '`Left`'.

Returns:
  the meta object for the reference 'Left'.
See Also:
  - `Match.getLeft()`
  - `getMatch()`
Generated:

### getMatch_Right

EReference getMatch_Right()
Returns the meta object for the reference '`Right`'.

Returns:
  the meta object for the reference 'Right'.
See Also:
  - `Match.getRight()`
  - `getMatch()`
Generated:

### getMatch_Origin

EReference getMatch_Origin()
Returns the meta object for the reference '`Origin`'.

Returns:
  the meta object for the reference 'Origin'.
See Also:
  - `Match.getOrigin()`
  - `getMatch()`
Generated:

### getDiff

EClass getDiff()
Returns the meta object for class '`Diff`'.

Returns:
  the meta object for class 'Diff'.
See Also:
  - `Diff`
Generated:

### getDiff_Match

EReference getDiff_Match()
Returns the meta object for the reference '`Match`'.

Returns:
  the meta object for the reference 'Match'.
See Also:
  - `Diff.getMatch()`
  - `getDiff()`
Generated:

### getDiff_Requires

EReference getDiff_Requires()
Returns the meta object for the reference list '`Requires`'.

Returns:
  the meta object for the reference list 'Requires'.
See Also:
  - `Diff.getRequires()`
  - `getDiff()`
Generated:

### getDiff_RequiredBy

EReference getDiff_RequiredBy()
Returns the meta object for the reference list '`Required By`'.

Returns:
  the meta object for the reference list 'Required By'.
See Also:
  - `Diff.getRequiredBy()`
  - `getDiff()`
Generated:

### getDiff_Implies

EReference getDiff_Implies()
Returns the meta object for the reference list '`Implies`'.

Returns:
  the meta object for the reference list 'Implies'.
See Also:
  - `Diff.getImplies()`
  - `getDiff()`
Generated:

### getDiff_ImpliedBy

EReference getDiff_ImpliedBy()
Returns the meta object for the reference list '`Implied By`'.

Returns:
  the meta object for the reference list 'Implied By'.
See Also:
  - `Diff.getImpliedBy()`
  - `getDiff()`
Generated:

### getDiff_Refines

EReference getDiff_Refines()
Returns the meta object for the reference list '`Refines`'.

Returns:
  the meta object for the reference list 'Refines'.
See Also:
  - `Diff.getRefines()`
  - `getDiff()`
Generated:

### getDiff_RefinedBy

EReference getDiff_RefinedBy()
Returns the meta object for the reference list '`Refined By`'.

Returns:
  the meta object for the reference list 'Refined By'.
See Also:
  - `Diff.getRefinedBy()`
  - `getDiff()`
Generated:

### getDiff_PrimeRefining

EReference getDiff_PrimeRefining()
Returns the meta object for the reference '`Prime Refining`'.

Returns:
  the meta object for the reference 'Prime Refining'.
See Also:
  - `Diff.getPrimeRefining()`
  - `getDiff()`
Generated:

### getDiff_Kind

EAttribute getDiff_Kind()
Returns the meta object for the attribute '`Kind`'.

Returns:
  the meta object for the attribute 'Kind'.
See Also:
  - `Diff.getKind()`
  - `getDiff()`
Generated:

### getDiff_Source

EAttribute getDiff_Source()
Returns the meta object for the attribute '`Source`'.

Returns:
  the meta object for the attribute 'Source'.
See Also:
  - `Diff.getSource()`
  - `getDiff()`
Generated:

### getDiff_State

EAttribute getDiff_State()
Returns the meta object for the attribute '`State`'.

Returns:
  the meta object for the attribute 'State'.
See Also:
  - `Diff.getState()`
  - `getDiff()`
Generated:

### getDiff_Equivalence

EReference getDiff_Equivalence()
Returns the meta object for the reference '`Equivalence`'.

Returns:
  the meta object for the reference 'Equivalence'.
See Also:
  - `Diff.getEquivalence()`
  - `getDiff()`
Generated:

### getDiff_Conflict

EReference getDiff_Conflict()
Returns the meta object for the reference '`Conflict`'.

Returns:
  the meta object for the reference 'Conflict'.
See Also:
  - `Diff.getConflict()`
  - `getDiff()`
Generated:

### getResourceAttachmentChange

EClass getResourceAttachmentChange()
Returns the meta object for class '`Resource Attachment Change`'.

Returns:
  the meta object for class 'Resource Attachment Change'.
See Also:
  - `ResourceAttachmentChange`
Generated:

### getResourceAttachmentChange_ResourceURI

EAttribute getResourceAttachmentChange_ResourceURI()
Returns the meta object for the attribute ' `Resource URI`'.

Returns:
  the meta object for the attribute 'Resource URI'.
See Also:
  - `ResourceAttachmentChange.getResourceURI()`
  - `getResourceAttachmentChange()`
Generated:

### getResourceLocationChange

EClass getResourceLocationChange()
Returns the meta object for class '`Resource Location Change`'.

Returns:
  the meta object for class 'Resource Location Change'.
See Also:
  - `ResourceLocationChange`
Generated:

### getResourceLocationChange_BaseLocation

EAttribute getResourceLocationChange_BaseLocation()
Returns the meta object for the attribute '`Base Location`'.

Returns:
  the meta object for the attribute 'Base Location'.
See Also:
  - `ResourceLocationChange.getBaseLocation()`
  - `getResourceLocationChange()`
Generated:

### getResourceLocationChange_ChangedLocation

EAttribute getResourceLocationChange_ChangedLocation()
Returns the meta object for the attribute '`Changed Location`'.

Returns:
  the meta object for the attribute 'Changed Location'.
See Also:
  - `ResourceLocationChange.getChangedLocation()`
  - `getResourceLocationChange()`
Generated:

### getReferenceChange

EClass getReferenceChange()
Returns the meta object for class '`Reference Change`'.

Returns:
  the meta object for class 'Reference Change'.
See Also:
  - `ReferenceChange`
Generated:

### getReferenceChange_Reference

EReference getReferenceChange_Reference()
Returns the meta object for the reference '`Reference`'.

Returns:
  the meta object for the reference 'Reference'.
See Also:
  - `ReferenceChange.getReference()`
  - `getReferenceChange()`
Generated:

### getReferenceChange_Value

EReference getReferenceChange_Value()
Returns the meta object for the reference '`Value`'.

Returns:
  the meta object for the reference 'Value'.
See Also:
  - `ReferenceChange.getValue()`
  - `getReferenceChange()`
Generated:

### getAttributeChange

EClass getAttributeChange()
Returns the meta object for class '`Attribute Change`'.

Returns:
  the meta object for class 'Attribute Change'.
See Also:
  - `AttributeChange`
Generated:

### getAttributeChange_Attribute

EReference getAttributeChange_Attribute()
Returns the meta object for the reference '`Attribute`'.

Returns:
  the meta object for the reference 'Attribute'.
See Also:
  - `AttributeChange.getAttribute()`
  - `getAttributeChange()`
Generated:

### getAttributeChange_Value

EAttribute getAttributeChange_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `AttributeChange.getValue()`
  - `getAttributeChange()`
Generated:

### getFeatureMapChange

EClass getFeatureMapChange()
Returns the meta object for class '`Feature Map Change`'.

Returns:
  the meta object for class 'Feature Map Change'.
See Also:
  - `FeatureMapChange`
Generated:

### getFeatureMapChange_Attribute

EReference getFeatureMapChange_Attribute()
Returns the meta object for the reference '`Attribute`'.

Returns:
  the meta object for the reference 'Attribute'.
See Also:
  - `FeatureMapChange.getAttribute()`
  - `getFeatureMapChange()`
Generated:

### getFeatureMapChange_Value

EAttribute getFeatureMapChange_Value()
Returns the meta object for the attribute '`Value`'.

Returns:
  the meta object for the attribute 'Value'.
See Also:
  - `FeatureMapChange.getValue()`
  - `getFeatureMapChange()`
Generated:

### getConflict

EClass getConflict()
Returns the meta object for class '`Conflict`'.

Returns:
  the meta object for class 'Conflict'.
See Also:
  - `Conflict`
Generated:

### getConflict_Kind

EAttribute getConflict_Kind()
Returns the meta object for the attribute '`Kind`'.

Returns:
  the meta object for the attribute 'Kind'.
See Also:
  - `Conflict.getKind()`
  - `getConflict()`
Generated:

### getConflict_Differences

EReference getConflict_Differences()
Returns the meta object for the reference list '`Differences`'.

Returns:
  the meta object for the reference list 'Differences'.
See Also:
  - `Conflict.getDifferences()`
  - `getConflict()`
Generated:

### getEquivalence

EClass getEquivalence()
Returns the meta object for class '`Equivalence`'.

Returns:
  the meta object for class 'Equivalence'.
See Also:
  - `Equivalence`
Generated:

### getEquivalence_Differences

EReference getEquivalence_Differences()
Returns the meta object for the reference list '`Differences`'.

Returns:
  the meta object for the reference list 'Differences'.
See Also:
  - `Equivalence.getDifferences()`
  - `getEquivalence()`
Generated:

### getDifferenceKind

EEnum getDifferenceKind()
Returns the meta object for enum '`Difference Kind`'.

Returns:
  the meta object for enum 'Difference Kind'.
See Also:
  - `DifferenceKind`
Generated:

### getDifferenceSource

EEnum getDifferenceSource()
Returns the meta object for enum '`Difference Source`'.

Returns:
  the meta object for enum 'Difference Source'.
See Also:
  - `DifferenceSource`
Generated:

### getDifferenceState

EEnum getDifferenceState()
Returns the meta object for enum '`Difference State`'.

Returns:
  the meta object for enum 'Difference State'.
See Also:
  - `DifferenceState`
Generated:

### getConflictKind

EEnum getConflictKind()
Returns the meta object for enum '`Conflict Kind`'.

Returns:
  the meta object for enum 'Conflict Kind'.
See Also:
  - `ConflictKind`
Generated:

### getEIterable

EDataType getEIterable()
Returns the meta object for data type '`EIterable`'.

Returns:
  the meta object for data type 'EIterable'.
See Also:
  - `Iterable`
Generated:

### getIEqualityHelper

EDataType getIEqualityHelper()
Returns the meta object for data type '`IEquality Helper`'.

Returns:
  the meta object for data type 'IEquality Helper'.
See Also:
  - `IEqualityHelper`
Generated:

### getDiagnostic

EDataType getDiagnostic()
Returns the meta object for data type '`Diagnostic`'.

Returns:
  the meta object for data type 'Diagnostic'.
See Also:
  - `Diagnostic`
Generated:

### getCompareFactory

CompareFactory getCompareFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated: